View Issue Details

IDProjectCategoryView StatusLast Update
0012267mantisbtdb oraclepublic2014-12-08 00:34
ReporterbobAssigned Todregad 
PrioritynormalSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.2.0rc2 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0012267: Custom Field Title and Value render as '@', $t_custom_field, '@'; in Oracle
Description

Probably occurs in later version as well.

If a enumerated custom field is defined as:

Name = Theme
Type = Enumeration
Values = n/a|Performance|Application upg

oracle will return the column name in lower case which is theme

In function custom_field_get_id_from_name, it looks for a field name of theme, but name is defined as Theme, so no field is found, so a false value is returned to custom_function_default_print_column_title and custom_function_default_print_column_value which results in '@', $t_custom_field, '@' being displayed.

Additional Information

To fix this change the following queries:
around lines 783 and 789

$query = "SELECT id FROM $t_custom_field_table WHERE name = '$c_field_name'";

to

$query = "SELECT id FROM $t_custom_field_table WHERE lower(name) = lower('$c_field_name')";

and
$query = "SELECT id FROM $t_custom_field_table WHERE name LIKE '$c_field_name%'";

to

$query = "SELECT id FROM $t_custom_field_table WHERE lower(name) LIKE lower('$c_field_name%')";

TagsNo tags attached.

Relationships

child of 0013227 closeddregad Oracle DB support multiple issues 

Activities

dregad

dregad

2013-04-24 04:35

developer   ~0036657

Can you please check if this issue still exists using the Oracle branch at
https://github.com/dregad/mantisbt/tree/oracle

Issue History

Date Modified Username Field Change
2010-08-18 17:35 bob New Issue
2013-04-23 16:29 rombert Category custom fields => db oracle
2013-04-24 03:47 dregad Relationship added child of 0013227
2013-04-24 04:35 dregad Note Added: 0036657
2013-04-24 04:35 dregad Status new => acknowledged
2013-04-24 04:35 dregad Status acknowledged => feedback
2013-10-17 12:50 dregad Status feedback => resolved
2013-10-17 12:50 dregad Fixed in Version => 1.3.0-beta.1
2013-10-17 12:50 dregad Resolution open => fixed
2013-10-17 12:50 dregad Assigned To => dregad
2013-10-17 12:51 dregad Target Version => 1.3.0-beta.1
2014-04-12 19:39 grangeway Issue cloned: 0017207
2014-12-08 00:34 vboctor Status resolved => closed